<!--
    COPYRIGHT ANSYS. ALL RIGHTS RESERVED.
-->

<extension name="ROMViewer" version="1" loadAsDefault="true" masked="true">
  <assembly src="Ansys.DesignXplorer.RomViewer.dll" namespace="Ansys.DesignXplorer.RomViewer"/>
  <guid shortid="ROMViewer">271B6394-FADA-4A98-A220-4ACA14C9DEE3</guid>
  <uidefinition>
    <layout name="welcomeLayout">
      <component name="StartButtons" TopAttachment="" TopOffset="" BottomAttachment="" BottomOffset=""
                 LeftAttachment="" LeftOffset="" RightAttachment="" RightOffset="" 
                 WidthType="Percentage" Width="100" HeightType="Percentage" Height="100" 
                 ComponentType="componentListComponent"/>
    </layout>
    
    <layout name="mainLayout">
      <component name="Toolbar" TopAttachment="" TopOffset="0" BottomAttachment="Workspace" BottomOffset="5"
                 WidthType="Percentage" Width="100" HeightType="FitToContent" Height="100"
                 ComponentType="toolbarComponent" CustomCSSFile="layout/InputParameters.css"/>
      <panelcomponent name="Workspace" TopAttachment="Toolbar" LeftAttachment="" LeftOffset=""
                 BottomAttachment="" BottomOffset="" RightAttachment=""
                 WidthType="Percentage" Width="100" HeightType="Percentage"
                 Height="100" ComponentType="panelComponent"/>
    </layout> 
      
    <layout name="staticRom">
      <component name="Analysis" TopAttachment="" TopOffset="5" LeftAttachment="" LeftOffset="5"
                 BottomAttachment="" BottomOffset="5" RightAttachment="SceneGraph"
                 WidthType="Fixed" Width="310" MaxWidth="380" HeightType="Percentage"
                 Height="100" ComponentType="propertiesComponent" CustomCSSFile="layout/InputParameters.css"/>
      <component name="SceneGraph" LeftAttachment="Analysis" LeftOffset="5" RightAttachment="" RightOffset="5"
                 BottomAttachment="" BottomOffset="5" TopAttachment="" TopOffset="5" WidthType="Percentage"
                 Width="100" HeightType="Percentage" Height="100" ComponentType="sceneGraphComponent" />
    </layout>
      
    <layout name="viewerLayout">
      <component name="Toolbar" TopAttachment="" TopOffset="0" BottomAttachment="Analysis" BottomOffset="5"
                 WidthType="Percentage" Width="100" HeightType="FitToContent" Height="100"
                 ComponentType="toolbarComponent" />
      <component name="AnalysisTitle" TopAttachment="Toolbar" LeftAttachment="" LeftOffset="5"
                 BottomAttachment="Analysis" BottomOffset="" RightAttachment="SceneGraph"
                 WidthType="Fixed" Width="310" MaxWidth="380" HeightType="Fixed"
                 Height="26" ComponentType="htmlComponent"/>
      <component name="Analysis" TopAttachment="AnalysisTitle" LeftAttachment="" LeftOffset="5"
                 BottomAttachment="" BottomOffset="5" RightAttachment="SceneGraph"
                 WidthType="Fixed" Width="310" MaxWidth="380" HeightType="Percentage"
                 Height="100" ComponentType="propertiesComponent" CustomCSSFile="layout/InputParameters.css"/>
      <component name="SceneGraph" LeftAttachment="Analysis" LeftOffset="5" RightAttachment="" RightOffset="5"
                 BottomAttachment="" BottomOffset="5" TopAttachment="Toolbar" WidthType="Percentage"
                 Width="100" HeightType="Percentage" Height="100" ComponentType="sceneGraphComponent" />
    </layout>

    <layout name="tabsTemplate">
      <component name="buttons" RightAttachment="" LeftAttachment="" ComponentType="componentListComponent" BottomAttachment="panels"
                  WidthType="Percentage" Width="100" HeightType="FitToContent"  Height="100"/>
      <component name="panels" ComponentType="panelComponent" TopAttachment="buttons"
                WidthType="Percentage" Width="100" HeightType="Percentage"  Height="100"/>
    </layout>
  </uidefinition>

  <application name="ROMViewer" context="AppLauncher" version="1" projectExtName="romviewer" class="Ansys.DesignXplorer.RomViewer.Core.ApplicationController">
    <panel name="MainPanel" layout="viewerLayout@ROMViewer" class="Ansys.DesignXplorer.RomViewer.UI.MainPanelController">
      
    </panel>

    <workflow>
      <userDefinedTask name="Start" />
      <userInputTask name="UserInput1" caption="UserInput1" panel="MainPanel">
        <datamodel name="ROMModel" />
      </userInputTask>
      <link from="NextTask@Start" to="PreviousTask@UserInput1"/>
    </workflow>

    <datamodel name="ROMModel">
      <userObject name="Analysis" caption="Analysis" version="1" cardinality="1" basedOnXmlDefinition="false" class="Ansys.DesignXplorer.RomViewer.DataModel.UserObjectControllers.AnalysisUserObjectController"/>
      <userObject name="HistoryManager" caption="" version="1" cardinality="1" basedOnXmlDefinition="false" class="Ansys.DesignXplorer.RomViewer.History.ResultHistoryManager"/>
    </datamodel>
  </application>
</extension>
